Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 129871 - XWSS certificate expired, WS ecurity won't work OOB
XWSS certificate expired, WS ecurity won't work OOB
Status: VERIFIED FIXED
Product: webservices
Classification: Unclassified
Component: WSIT
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Martin Grebac
issues@webservices
release601_fixes_candidate2, release6...
:
: 129917 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-12 09:41 UTC by Martin Grebac
Modified: 2008-03-20 18:55 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Grebac 2008-03-12 09:41:08 UTC
We do include the certificate below, and use it to ease security setup for WSIT. We do take it from xwss website, which
updated the out-of-date certificate today. I fixed it in 6.1, see changeset:

http://hg.netbeans.org/main/rev/6f143ad97b1d
changeset:   72369:6f143ad97b1d
user:        mgrebac@netbeans.org
date:        Wed Mar 12 09:14:13 2008 +0100
summary:     Fix out-of-date certificate.

We need to backport the fix to 6.0 as well.

--------------------
I just found that the root certificate we put in the Glassfish for metro expired this morning (Tue Mar 11 02:16:08 PDT
2008):

Alias name: xwss-certificate-authority
Creation date: Mar 10, 2008
Entry type: trustedCertEntry

Owner: CN=SUNCA, OU=JWS, O=SUN, ST=Some-State, C=AU
Issuer: CN=SUNCA, OU=JWS, O=SUN, ST=Some-State, C=AU
Serial number: db1e425aaba2a28e
Valid from: Mon Mar 12 02:16:08 PDT 2007 until: Tue Mar 11 02:16:08       
PDT 2008
Certificate fingerprints:
       MD5:  48:D1:81:BA:EF:F4:AA:6F:5E:FC:3D:02:C6:E9:4C:ED
       SHA1: E5:07:60:70:BA:1B:AF:9C:80:97:CB:B1:39:9E:3A:3A:43:8C:70:8C
Comment 1 Martin Grebac 2008-03-12 09:41:56 UTC
Marking as fixed in 6.1. It still requires backport to 6.0.
Comment 2 Lukas Jungmann 2008-03-12 12:04:50 UTC
fix: http://hg.netbeans.org/main?cmd=changeset;node=6f143ad97b1d
Comment 3 pslechta 2008-03-12 14:49:54 UTC
The fix has been ported into the release601_fixes branch.

Checking in client-keystore.jks;
/cvs/websvc/wsitconf/src/org/netbeans/modules/websvc/wsitconf/resources/Attic/client-keystore.jks,v  <-- 
client-keystore.jks
new revision: 1.2.24.1; previous revision: 1.2
done
Checking in client-truststore.jks;
/cvs/websvc/wsitconf/src/org/netbeans/modules/websvc/wsitconf/resources/Attic/client-truststore.jks,v  <-- 
client-truststore.jks
new revision: 1.2.24.1; previous revision: 1.2
done
Checking in server-keystore.jks;
/cvs/websvc/wsitconf/src/org/netbeans/modules/websvc/wsitconf/resources/Attic/server-keystore.jks,v  <-- 
server-keystore.jks
new revision: 1.2.24.1; previous revision: 1.2
done
Checking in server-truststore.jks;
/cvs/websvc/wsitconf/src/org/netbeans/modules/websvc/wsitconf/resources/Attic/server-truststore.jks,v  <-- 
server-truststore.jks
new revision: 1.2.24.1; previous revision: 1.2
done
Comment 4 Lukas Jungmann 2008-03-12 14:56:06 UTC
*** Issue 129917 has been marked as a duplicate of this issue. ***
Comment 5 Lukas Jungmann 2008-03-14 16:13:54 UTC
v.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo